pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/44016: x11/gtk must be linked against libintl

> From: Steven Drake <>
> The following reply was made to PR pkg/44016; it has been noted by GNATS.
> From: Steven Drake <>
> To:
> Cc: 
> Subject: Re: pkg/44016: x11/gtk must be linked against libintl
> Date: Tue, 9 Nov 2010 20:50:38 +1300 (NZDT)
>  On Mon, 8 Nov 2010, Stefan Schaeckeler wrote:
>  >  I have a stable pkgsrc branch installed under /usr/local. Nothing 
>  > special there.
>  That explains it,

Not to me.

> you must have gettext-lib installed under /usr/local.

It was (and sill is).

>  >  Just figured out that if I remove /usr/local (e.g. mv /usr/local 
>  >  /usr/local.tmp), then gtk compiles cleanly under /usr/current.
>  Try removing the gettext-lib package (possibly gettext-tools/gettext to)

Remove from /usr/current? I did it, but I get the same error (after ldconfig 
and make clean).

>  and installing the slackware gettext package.

Still same error. Btw, Slackware's gettext package does not come with - this functionality is part of gnu libc.


Home | Main Index | Thread Index | Old Index